<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <system.serviceModel>
        <client>
            <endpoint address="http://localhost:8000/EchoService"
                binding="wsDualHttpBinding" bindingConfiguration="callback" contract="IEchoable"/>

        </client>
      <bindings>
        <wsDualHttpBinding>
          <binding name="callback" clientBaseAddress="http://localhost:8001/EchoServiceCallback/" />
        </wsDualHttpBinding>
      </bindings>
    </system.serviceModel>
</configuration>